return {
    "nvim-treesitter/nvim-treesitter",
    build = ":TSUpdate",
    event = { "BufReadPost", "BufNewFile" },
    config = function()
        require("nvim-treesitter.configs").setup({
            ensure_installed = { "lua", "vim", "bash", "python", "javascript" }, -- Add needed languages
            highlight = { enable = true },
            indent = { enable = true },
        })
    end
}

